@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600&display=swap');



html {
  scroll-behavior: smooth;
}


*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
}

body{
    overflow-x: hidden;
}



.main_header{
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 15px;
    background-color: #FFFFFF;
}
.logo img{
    height: 140px;
    width: auto;
}

.mujib img{
    height: 140px;
}
.schoolname{
    margin: 0 30px 0 30px;
    text-align: center;
}
.schoolname ul{
    list-style: none;
}

/*----------------------------Nav Dropdown-------------------*/
 #check{
    display: none;
 }
#checkboxL{
    display: none;
}
.navbar{
    height: 80px;
    width: 100%;
    background-color: #19773B;
}
.nav{
    position: relative;
    top: 30px;
    z-index: 1;
   
}
.nav ul{
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
    z-index: 1;
   

}

.nav ul a{
    text-decoration: none;
    color: white;
    font-weight: 400;

}

.nav ul li a:hover{
    color: #FEC722;
    text-decoration: underline;
    transition: ease-in-out;
    transition-delay: 0.2s;
}
.sub_menu1{
    display: none;
    


}

.sub_menu1 i{
    position: absolute;
    font-size: 30px;
    color: #FEC722;
    top: -20px;
}

.sub_menu1 ul li a{
    text-decoration: none;
    color: rgb(42, 42, 42);
    padding: 20px;
    padding-left: 50px;
    padding-right: 50px;
    display: block;
    transition: all 0.3s ease-in-out;

}
.sub_menu1 ul li a:hover{

    color: white;
    transition: all 0.3s ease-in-out;
    background-color: #FEC722;
    text-decoration: none;

}

.nav ul li:hover .sub_menu1{
    display: block;
    position: absolute;
    text-decoration: none;
    color: rgb(29, 29, 29);
    background-color: #FFFFFF;
    border-top:  solid #fec722;
   
    
}

.nav ul li:hover .sub_menu1 ul{
    display: block;
   


    
    
}

.sub_menu2{
    display: none;
}


/*----------------------------Nav Dropdown End-------------------*/


/*---------------------Slider ---------------------*/
.slider_main{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    
}
.slider {
    width: 70%;
    overflow: hidden;
    box-shadow: 5px 5px 50px 5px #000000;
    z-index: -1;
}

.slider-container {
    display: flex;
    transition: transform 0.4s ease-in-out;
 

    max-height: 500px
}

.slider-container img {
    width: 100%;
    object-fit: cover;
    z-index: 2;
}

/*---------------Slider End------------------*/

/*------------Home Body --------- */
.othority{
    display: flex;
    flex-direction: row;
    gap: 75px;
    align-items: center;
    justify-content: center;
    margin-top: 30px;
    flex-wrap: wrap;

}

.othorityI{
    height: 350px;
    width: 335px;
    


}


/*--------------History and Notice------------*/
.hAndN{
    display: flex;
    flex-direction: row;
    width: 90%;
    justify-content: center;
    margin: auto;
    margin-top: 50px;
    gap: 20px;
}


.history{
    width: 65%;
}
.notice{
    width: 35%;
}

.historyD{
    display: flex;
    flex-direction: row;
    gap: 10px;
    margin-top: 10px;
}

.historyD p{
    width: 60%;
    font-size: 18px;
}
.historyD img{
    width: 40%;
    height:  260px;
    object-fit: cover;
    border-radius: 6px; 
}




.notices{
    display: flex;
    flex-direction: row;
    gap: 10px;
    margin-bottom: 30px;
   
}
.date{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 5px;
}


.dates{
    
    height: 70px;
    width: 60px;
    background-color: #fec722;
    
}
.noticesL{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 5px;
}

.noticeD{
    height: 70px;
    width: 390px;
    background-color: #f1f1f1;
}

.notice a{
    text-decoration: none;
    color: #7b7a75;
    margin-top: 10px;
    
}


/*-------------------Achivement-----------------------*/

.achivementMain{
    margin-top: 30px;
    width: 90%;
    margin: auto;
}


.allAchivement{
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin-top: 30px;

}

.achivementD{
    height: 250px;
    width: 100%;
    box-shadow: 2px 2px 10px 2px #797878a2;
    display: flex;
    flex-direction: row;
    transition: all 0.3s ease-in-out;


}
.achivementD:hover{
    box-shadow: 2px 2px 10px 2px #323131a2;
    transition: all 0.7s ease-in-out;

}

.achivementD img{
    width: 400px;
    height: 250px;
    object-fit: cover;
}

.acDescription{
    margin-top: 10px;
    margin-left: 25px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    overflow-y: scroll;
    scroll-behavior: smooth;
    scrollbar-width: 3px;
}

.acDescription h6{
    font-size: 14px;
    color: #FEC722;
}
.acDescription p{
    color: #575653;
    margin-right: 10px;
    margin-bottom: 10px;
}




/*------------------News And event-------------------*/

.newsAEventMain{
    
    margin: auto;
    margin-top: 40px;
    width: 90%;
    
}

.newsAEventAll {
    display: flex;
    flex-direction: row;
    gap: 60px;
    margin-top: 30px; 
    
    justify-content: center;
    flex-wrap: wrap;
}

.newsAEvent{
    height: 400px;
    width: 365px;
    box-shadow: 2px 2px 10px 2px #696969a2;
    display: flex;
    flex-direction: column;
    gap: 5px;
    background-color: #F1F1F1;
    overflow: hidden;

}
.newsAEvent div{
    height: 250px;
    overflow: hidden;
}
.newsAEvent img{
    height: 250px;
    object-fit: cover;
    transition: all 0.3s ease-in-out;

}
.newsAEvent img:hover{
    transform: scale(1.1);
    transition: all 0.3s ease-in-out;
}

.newsAEvent h3{
    margin-left: 10px;
    color: #fec722
}
.newsAEvent p{
    margin-left: 10px;
    margin-right: 10px;
    color: #646360;
}

.newsAEvent span{
    height: 40px;
    background-color: white;
    margin-top: 20px;
   
}

.newsAEvent span h6{
   
    font-size: 15px;
    color: #FEC722;
    margin-top: 7px;
    margin-left: 10px;
}

/*-------------footer------------------------*/

.footer{
    width: 100%;
    height: 500px;
    background: url(../img/footer.jpg);
    background-position: center;
    background-size: cover;
    margin-top: 50px;
    background-attachment: fixed;
    
    
    
}
.filter{
    width: 100%;
    height: 500px;
    background-color: rgb(51, 50, 50);
    opacity: 0.7;
    position: absolute;
   
     
}



.footerMain{
    display: flex;
    flex-direction: row;
    gap: 50px;
    width: 90%;
    margin: auto;
    position: relative;
    z-index: 1;
    
}

.conInfo{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 50px;
}
.conInfo h2{
    color: white;
    font-size: 30px;
}

.conInfo ul{
    list-style: none;
    margin-left: 30px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.conInfo ul li{
    color: #cdcdcb;
}

.impLink{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 50px;
    margin-left: 50px;
}
.impLink h2{
    color: white;
    font-size: 25px;
}
.impLink ul{
    list-style: none;
    margin-left: 30px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.impLink ul li a{
    color: #cdcdcb;
    text-decoration: none;

}
.impLink ul li a:hover{
    color: #FEC722;
}

.mapEmbeded{
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 50px;
    margin-left: 50px;
}
.mapEmbeded h2{
    color: white;
    font-size: 25px;
}
.map iframe{
    border-radius: 8px;
}

.copyright{
    width: 90%;
    margin: auto;
    margin-top: 80px;

}

.copyright h6{
    font-size: 15px;
    color: #cdcdcb;
    text-align: center;
    margin-top: 20px;
}
.copyright h6 a{
    color: #fec722;
}



/*----------------Teachers Page--------------------*/


.teachersHead{
    width: 100%;
    height: 150px;
    background-color: #909088;
    vertical-align: middle;
}

.teachersHead h1{
    font-size: 2rem;
    margin: auto;
    text-align: center;
    position: relative;
    top: 50px;
    color: #fec722;
    
}

.teachersInfo{
    width: 80%;
    margin: auto;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 30px;
}

.teacherS{
    height: 350px;
    width: 335px;
    box-shadow: 2px 2px 10px 2px #696969a2;
    
    margin: auto;
    margin-top: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    gap: 40px;
    border-radius: 10px;

    
}
.picture{
    height: 120px;
    width: 120px;
    border-radius: 10px;
    overflow: hidden;
}
.picture img{
    width: 100%;
    height: 120px;
    object-fit: cover;
}









































#shss{
    font-size: 50px;
}

.nav button{
    display: none;
}



/*---------------------------Media Quary ------------------*/
@media only screen and (max-width: 600px){
	/*Big smartphones [426px -> 600px]*/
    body{
        overflow-x: hidden;
    }
    
    .main_header{
        display: flex;
        flex-direction: column;
        align-items: center;
        
    }
    .logo img{
        height: 100px;
        margin: auto;
    }
    .mujib img{
        display: none;
    }
    #shss{
        font-size: 30px;
    }
    .navbar{
        height: 60px;

    }
    .nav{
        top: 20px;
    }
    .nav ul{
        
        flex-direction: column;
        background-color: #19773B;
        margin-top: 16px;
        padding: 20px;
       left: -100%;
        position: relative;

    }
    .nav ul li{
        margin-left: 30px;
        
    }
   
    #checkboxL{
        display: block;
        margin-left: 40px;
        color: #fec722;
    }

    #check:checked ~ #mobiledeviceC{
        left: 0;
    }
    .sub_menu1{
        display: none;
    }
    .nav ul li:hover .sub_menu1{
        display: none;
        
       
        
    }
    
    .nav ul li:hover .sub_menu1 ul{
        display: none;
   
        
    }

    .sub_menu2{
        display: none;
        flex-direction: column;
        line-height: 30px;
        position: relative;
        margin-left: 20px;
        transition: all 0.3s ease-in-out;

    }
    .sub_menu2 i{
        color: #fec722;
        font-size:30px;
    }

    .nav ul li:hover .sub_menu2{
        display: flex;
        transition: all 0.3s ease-in-out;
        
       
        
    }



    .slider{
        width: 90%;
        
    }
    .othority{
        gap: 30px;
    }
    .hAndN{
        flex-direction: column;
    }
    .history{
        width: 100%;
    }
    .notice{
        width: 100%;
    }
    .historyD{
        flex-direction: column;
    }
    .historyD p{
        width: 100%;
    }
    .historyD img{
        display: none;
    }
    .noticeD{
        width: 310px;
    }
    .achivementMain{
        margin-top: 30px;
    }
    .achivementD{
        height: 150px;


    }

    .achivementD img{
        width:150px;
        height: 150px;
        object-fit: cover;
    }
    .acDescription h6{
        font-size: 10px;
    }
    .acDescription h2{
        font-size: 16px;
    }
    .acDescription p{
        font-size: 12px;
    }
    .newsAEventAll{
        gap: 30px;
    }

    .footer{
        height: 1000px;
    }
    .filter{
        height: 1000px;
    }
    .footerMain{
        flex-direction: column;
        gap: 20px;
    }
    .conInfo{
        margin-top: 30px;
    }
    .conInfo ul{
         gap: 10px;
    }

    .conInfo h2{
        font-size: 20px;
    }
    .impLink{
        margin: 0;
    }
    .impLink h2{
        font-size: 20px;
    }
    .impLink ul{
        gap: 10px;
    }

    .mapEmbeded{
        position: relative;
        margin: 0;
        left: -15px;
    }






}
